<div class="page">
  <div class="page-header">
    <button-back class="back-button"></button-back>
    <div class="title">
      Check out the Plans
    </div>
  </div>
</div>
<ion-content class="page-content">
  <form class="page-content" style="overflow-y: scroll;" name="enqyiryForm"  >
    <div class="tabs"  >
      <ion-chip outline="true"  (click)="onChipSelected(TYPE_SEDAN)" [color]="selectedChip == TYPE_SEDAN? 'primary':'medium'" [ngClass]="{'selected':  selectedChip == TYPE_SEDAN}">
        <ion-icon name="car-outline"></ion-icon>
        <ion-label fixed class='fixedLabel'>Sedan cars</ion-label>
      </ion-chip>
      <ion-chip outline="true" (click)="onChipSelected(TYPE_4X4)" [color]="selectedChip == TYPE_4X4? 'primary':'medium  '" [ngClass]="{'selected':  selectedChip == TYPE_4X4}" class="day_chip"  >
        <ion-icon name="car-outline" ></ion-icon>
        <ion-label fixed class='fixedLabel'>4*4 cars</ion-label>
      </ion-chip>
    </div>
    <div class="plans-section">
      <div class="" *ngFor="let item of plans;let i = index">
        <span class="sub-type">{{item.subscriptionType}}</span>
        <ion-slides  [options]="{ slidesPerView: 'auto', zoom: false, grabCursor: true }">
          <ion-slide class="plan-slide" *ngFor="let card of item.plantype" >
            <ion-col>
              <ion-card class="plan-slide-card" no-padding no-margin button (click)="planSelected(card, item.type)" >
                <ion-grid class="plan-card">
                  <ion-icon class="selectedIcon" *ngIf = "this.selectedPlan.selectedSubscriptionType == item.type && this.selectedPlan.id == card.id" name="checkmark-circle" ></ion-icon>
                  <ion-row class="first-half" >
                    <ion-grid >
                      <ion-row class="price">
                        <ion-label *ngIf = "this.selectedChip == 'sedan'"><span>{{card.price.sedan}}</span></ion-label>
                        <ion-label *ngIf = "this.selectedChip == '4x4'"><span>{{card.price.fourByFour}}</span></ion-label>
                      </ion-row>
                      <ion-row class="currency">
                        <ion-label ><span>AED</span></ion-label>
                      </ion-row>
                    </ion-grid>
                  </ion-row>
                  <ion-row class="second-half">
                    <ion-grid >
                      <!-- <ion-row class="frequency" *ngIf = "card.frequency > 1">
                        <ion-label ><span>{{card.frequency}} /month</span></ion-label>
                      </ion-row> -->
                      <ion-row class="weeklyFrequency" >
                        <ion-label ><span>{{card.weeklyFrequencyText}}</span></ion-label>
                      </ion-row>
                    </ion-grid>
                  </ion-row>
                </ion-grid>
              </ion-card>
              <!-- <ion-img style="pointer-events:none" src="https://via.placeholder.com/150"></ion-img> -->
            </ion-col>
          </ion-slide>
        </ion-slides>
      </div>
    </div>  
    <div style="display: flex;justify-content: center;">
      <button class="ion-btn" type="button" (click)="enquiry()"  id="enquire" [disabled]="selectedPlan == 's' ">Next</button>
    </div>
  </form>
</ion-content>
